=== debian/changelog ===
phonon-backend-gstreamer (4:4.8.2-0ubuntu2) xenial; urgency=high

  * Add extra-cmake-modules build-dep.
  * Cherrypick upstream fixes for new locations of GStreamer headers.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 19 Jan 2016 10:37:26 +0000

phonon-backend-gstreamer (4:4.8.2-0ubuntu1) vivid; urgency=medium

  * This package was updated to 4.8.2

 -- Danile Pastushchak <danikpastushchak90@gmail.com>  Mon, 29 Dec 2014 22:26:03 +0200

phonon-backend-gstreamer (4:4.8.1-1ubuntu0) vivid; urgency=medium

  * New upstream release.

 -- Mikhail Ivchenko <ematirov@gmail.com>  Fri, 12 Dec 2014 16:01:42 +0000

phonon-backend-gstreamer (4:4.8.0-3ubuntu1) vivid; urgency=medium

  * sync with Debian, now building qt5 and qt4 out of one source again

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Oct 2014 17:59:29 +0000
