=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -B obj-qt4 -- -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/
	$(overridden_command) -B obj-qt5 -- \
	                      -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
	                      -DPHONON_BUILD_PHONON4QT5=ON

override_dh_auto_build:
	$(overridden_command) -B obj-qt4
	$(overridden_command) -B obj-qt5

override_dh_auto_install:
	$(overridden_command) -B obj-qt4
	$(overridden_command) -B obj-qt5

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_auto_clean:
	$(overridden_command) -B obj-qt4
	$(overridden_command) -B obj-qt5

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_auto_test:
	$(overridden_command) -B obj-qt4
	$(overridden_command) -B obj-qt5

override_dh_strip:
	$(overridden_command) -pphonon-backend-gstreamer --dbg-package=phonon-backend-gstreamer-dbg
	$(overridden_command) -pphonon4qt5-backend-gstreamer --dbg-package=phonon4qt5-backend-gstreamer-dbg
