## phonon-backend-gstreamer 4.9.0

=== gstreamer/CMakeLists.txt ===
--- 
+++ 
@@ -88,18 +88,35 @@
     list(APPEND phonon_gstreamer_SRCS glrenderer.cpp)
 endif ()
 
-if(NOT WIN32)
+set(BUILD_X11RENDERER TRUE)
+if (PHONON_BUILD_PHONON4QT5)
+    if (Qt5X11Extras_FOUND)
+        set(BUILD_X11RENDERER TRUE)
+    endif()
+elseif (NOT WIN32)
+    set(BUILD_X11RENDERER TRUE)
+endif()
+
+if (BUILD_X11RENDERER)
   set(phonon_gstreamer_SRCS
       ${phonon_gstreamer_SRCS}
       x11renderer.cpp)
-endif(NOT WIN32)
+  add_definitions(-DBUILD_X11RENDERER)
+endif()
 
 automoc4_add_library(phonon_gstreamer MODULE ${phonon_gstreamer_SRCS})
 set_target_properties(phonon_gstreamer PROPERTIES
  PREFIX ""
  AUTOMOC_MOC_OPTIONS ${AUTOMOC_MOC_OPTIONS}
 )
+
 qt5_use_modules(phonon_gstreamer Core Widgets)
+
+if(Qt5X11Extras_FOUND)
+  qt5_use_modules(phonon_gstreamer X11Extras)
+  target_link_libraries(phonon_gstreamer Qt5::X11Extras)
+endif(Qt5X11Extras_FOUND)
+
 target_link_libraries(phonon_gstreamer
   ${PHONON_LIBRARY}
   ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
