=== debian/changelog ===
phonon-backend-gstreamer (4:4.9.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (4.9.0).
  * Update watch file
  * Drop automoc build dependency.
    Thanks to Александр Волко for reporting (Closes: 824124)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Migrate to the automatic dbgsym packages
  * Drop upstream applied patch: gstreamer-compatibility.patch
  * Add missing build dependency, libqt5x11extras5-dev

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 18:12:27 +0200

phonon-backend-gstreamer (4:4.8.2-2) unstable; urgency=medium

  * Fix Diane Trout's email address
  * Fix ordering in copyright file.
  * Create gstreamer-compatibility.patch (Closes: #802107)

 -- Diane Trout <diane@debian.org>  Mon, 19 Oct 2015 14:40:24 -0700

phonon-backend-gstreamer (4:4.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make phonon4qt5-backend-gstreamer provide phonon4qt5-backend instead of
    phonon-backend.
  * Fix the watch file.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 30 Aug 2015 12:19:39 +0200
