=== debian/rules ===
--- 
+++ 
@@ -33,5 +33,5 @@
 	$(overridden_command) -B obj-qt5
 
 override_dh_strip:
-	$(overridden_command) -pphonon-backend-gstreamer --dbg-package=phonon-backend-gstreamer-dbg
-	$(overridden_command) -pphonon4qt5-backend-gstreamer --dbg-package=phonon4qt5-backend-gstreamer-dbg
+	$(overridden_command) -pphonon-backend-gstreamer --dbgsym-migration='phonon-backend-gstreamer-dbg (<= 4:4.9.0-1~~)'
+	$(overridden_command) -pphonon4qt5-backend-gstreamer --dbgsym-migration='phonon4qt5-backend-gstreamer-dbg (<= 4:4.9.0-1~~)'
