=== debian/watch ===
version=3

http://download.kde.org//stable/phonon/phonon-backend-gstreamer/([\d.]+)/phonon-backend-gstreamer-([\d.]+).tar.xz
