## phonon-backend-gstreamer 4.9.1

=== debian/changelog ===
phonon-backend-gstreamer (4:4.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the qttools5-dev build dependency, needed for translations.
  * Update watch file to https, and version 4.
  * Import the upstream signing key.
  * Update install files.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Remove trailing whitespace in changelog.
  * Switch copyright-format to https.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Jul 2019 07:37:09 +0200
