=== debian/control ===
--- 
+++ 
@@ -22,11 +22,12 @@
                libqt5opengl5-dev,
                libqt5x11extras5-dev (>= 5.2.0~),
                libxml2-dev,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+               pkg-kde-tools (>= 0.12),
+               qttools5-dev,
+Standards-Version: 4.4.0
 Homepage: http://phonon.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-gstreamer.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-gstreamer.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-gstreamer
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-gstreamer.git
 
 Package: phonon-backend-gstreamer-common
 Architecture: any
