=== debian/changelog ===
phonon-backend-gstreamer (4:4.10.0-2build4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:18:21 +0200

phonon-backend-gstreamer (4:4.10.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:58:50 +0000

phonon-backend-gstreamer (4:4.10.0-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:22:50 +0000

phonon-backend-gstreamer (4:4.10.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:37:44 +0000

phonon-backend-gstreamer (4:4.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for phonon-backend-gstreamer-
    common.
  * Set debhelper-compat version in Build-Depends.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Pino Toscano ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.6.2, no changes needed.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Replace the transitional libgl1-mesa-dev build dependency with libgl-dev.
  * Remove inactive Uploaders.
  * Drop from phonon-backend-gstreamer-common the suggests for backend packages:
    other than being half-outdated, it serves no real purpose.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Nov 2023 06:54:15 +0100

phonon-backend-gstreamer (4:4.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Drop old Breaks+Replaces.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump extra-cmake-modules to 5.60
    - bump libphonon4qt5-dev, and libphonon4qt5experimental-dev to 4:4.10.60
  * Drop the -DPHONON_BUILD_PHONON4QT5=ON cmake parameter, as it is no more
    needed now.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)
    - remove the -DPLUGIN_INSTALL_DIR cmake parameter, as the right plugin
      directory is detected automatically now
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Nov 2019 19:46:54 +0100

phonon-backend-gstreamer (4:4.9.1-2) unstable; urgency=medium

  * Drop Qt 4 version. Heavily based on Moritz Mühlenhoff's patch, thanks!
    (Closes: #875087).
  * Switch to debhelper compat 12.
    - Override dh_missing instead of dh_install to call --fail-missing.
  * Drop dbg migration command, it is no longer necessary.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2019 15:10:32 -0300
