=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.60~),
               libasound2-dev [linux-any],
               libgl-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libphonon4qt5-dev (>= 4:4.10.60~),
               libphonon4qt5experimental-dev (>= 4:4.10.60~),
               libqt5opengl5-dev,
               libqt5x11extras5-dev (>= 5.2.0~),
               libxml2-dev,
               pkg-kde-tools (>= 0.12),
               qttools5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://phonon.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-gstreamer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer-common
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Phonon GStreamer 1.0.x backend icons
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.
 .
 This package contains icons used by Phonon and Phonon4Qt5 backends.

Package: phonon4qt5-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon4qt5-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-pulseaudio | gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         phonon-backend-gstreamer-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon Qt5 GStreamer 1.0 backend
 This package contains Qt5 GStreamer 1.0 backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.
