=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/phonon/phonon-backend-gstreamer/([\d.]+)/phonon-backend-gstreamer-@ANY_VERSION@@ARCHIVE_EXT@
